{
  config,
  pkgs,
  libs,
  inputs,
  system,
  alejandra,
  ...
}: {
  environment.systemPackages = with pkgs; [
    #Essentials (CLI Only)
    wget #A tool for quickly downloading things from the Web
    javaPackages.compiler.openjdk25 #Java Development Kit 25
    python314 #Python
    python314Packages.pip #Pip for Python 3.12
    python314Packages.cmake #The CMake tool to manage project build configurations
    fastfetch #A utility to see information about your machine
    btop #A replacement for htop to see your machines resources
    git #Git ... no need to explain
    efibootmgr #A tool to manage UEFI boot entries
    zip #A utility for ZIP archives
    unzip #A utility for ZIP archives
    rar #A utility for RAR archives
    gnutar #A utility for .tar archives
    cron #A tool to set up commands to run scheduled
    tmux #A tool to let command windows contiune to run in the background
    home-manager #A package to also edit the user Configuration, like with nix
    konsave #A package to transfer the look and feel of KDE Plasma to other machines
    openssh #SSH
    zoxide #Alternatice to cd, browse files
    zsh #Search for file names
    coreutils-full #Full set of coreutils, including some missing ones
    multipath-tools
    docker #Docker ... no need to explain
    docker-compose #Docker Compose for docker
    plymouth #Boot Splash screen
    mesa #Graphics drivers
    fprintd #Fingerprint reader support
    nh
    whois #To find out domain information
    networkmanagerapplet #For managing network manager connections
    zoxide #Alternative to cd, browse files
    pocl #Portable OpenCL implementation
    clinfo #OpenCL info tool
    rocmPackages.rocm-runtime #AMD ROCm runtime
    ripgrep #Alternative to grep search for text in files
    pipewire #Multimedia handling
    fzf #Needed for nix-selective update tool
    jq #Needed for nix-selective update tool
    distrobox
    dbus
    cifs-utils
    samba
    kdePackages.ksshaskpass
    ntfs3g
    appimage-run
    alejandra.defaultPackage.${system}
  ];
}
